Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
Class GSPWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.pages.GSPWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class GSPWriter

extends PrintWriter

A PrintWriter used in the generation of GSP pages that allows printing to the target output stream and maintains a record of the current line number during usage.

Author:
  Graeme Rocher

Field Summary

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`GSPWriter(Writer out, GroovyPageParser parse)`

Method Summary
`int` | `getCurrentLineNumber()`
`int[]` | `getLineNumbers()`
`void` | `println()`
`void` | `printlnToBuffer(String s, int index)`
`void` | `printlnToResponse(String s)`
`void` | `write(char[] buf, int off, int len)`

Methods inherited from class java.io.PrintWriter
`append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, setError, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GSPWriter

    public GSPWriter(Writer out,
                     GroovyPageParser parse)

Method Detail

### write

    public void write(char[] buf,
                      int off,
                      int len)

  Overrides:
    `write` in class `PrintWriter`

### printlnToResponse

    public void printlnToResponse(String s)

### printlnToBuffer

    public void printlnToBuffer(String s,
                                int index)

### println

    public void println()

  Overrides:
    `println` in class `PrintWriter`

### getCurrentLineNumber

    public int getCurrentLineNumber()

### getLineNumbers

    public int[] getLineNumbers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD